TechView: Linus Torvalds, Inventor of Linux
================================================================================
![](http://images.huffingtonpost.com/2012-06-27-techscapelogocolumn1.jpg)

> TechView is a new part of TechScape featuring exclusive interviews and long-running conversations with Technology glitterati about all things Technology.
> 
> Our first conversation is with [Linus Torvalds][1] the legendary inventor of Linux and founder of the Open Source crusade. Torvalds was born in Helsinki, Finland the grandson of poet Ole Torvalds. Though he prefers to tell people he was named after the "Peanuts" character, the truth is he was named after Linus Pauling, two-time Nobel Prize-winner. His computer experience began with a Commodore, moved to a Sinclair and an IBM 386. He initially used a Minix OS which he swapped with his own Linux OS. Torvalds is married to wife, Tove, a six-time Finnish national karate champion, they have three daughters and live in San Jose, California. 

**TechView (TV)**: What excites you in Technology today?

**Torvalds**: I'm pretty much an "eyes on the ground in front of you" kind of guy, so I get excited by actual new pieces of technology rather than some more fluffy "big trends".

I love following what the hardware companies do, their newest chips, and what probably motivates me the most (since I'm a software person, after all) is people who come up with new algorithms and software to take advantage of all those new capabilities.

**TV**: What really pisses you off in Technology today? How and why does it make you angry?

**Torvalds**: I wouldn't say it makes me angry, but if there's something distasteful in the tech market, it's the glorification of the most visible "leaders".

That very much includes me, btw. I think the whole "cult of personality" is pretty disturbing, and I hate how people take me and what I say too seriously. The same goes for Jobs, Ellison, Gates, you name it. I wish more people thought for themselves, and realized that the technology actually flows from all those random anonymous great engineers that are all around.

I understand that people want and need a focus, and that it doesn't just happen in technology either (hey, I sure hope it happens less in technology than it happens in the entertainment industry ;), but it's still a bit sad.

**TV**: How was it that you missed capturing "the licensing opportunity of a lifetime" but others such as Red Hat, SuSE, etc. didn't? Was this because if Linux wasn't Open Source it never would've been Linux? Tell me more about this and whether you've ever been kicking yourself over it.

**TV**: I'm definitely not kicking myself over anything. I'm in the enviable position that I get to do what I love to do, and people respect me for it, and I'm even paid to do things that I would (and did) do for free!

I think very few people get to feel like they have actually made a difference, and let me tell you, it's a good feeling to have. I was never very interested in the commercial side, and to me the people and companies who were able to take Linux and use it commercially are the people who did what I simply would never have had the drive to do. And it was needed, and useful, so I'm actually very grateful for the commercial entities: they've allowed me to concentrate on the parts I enjoy.

**TV**: Who do you respect in Technology today and why?

**Torvalds**: Heh. See my answer ranting against that whole "cult of personality". I'm just not all that impressed by the whole "let's find a person and put him on a pedestal" thing.

So rather than name individuals, I'd be much happier to point to things like the EFF - the organizations (and sometimes just the notions and ideas) that try to not necessarily improve just their own lot in life, but try to do something concrete to help make technology work better in a bigger picture.

On an individual level, I tend to like people who don't take themselves too seriously, and play well at what they do. If I had to pick some well-known individual, I think the Steve Wozniak kind of person is the kind that I'd prefer to be, and I guess that makes me respect him.

**TV**: What happens in your estimation between Google and Microsoft when it's all been said and done? Why does the winner win?

**Torvalds**: I don't think the winner is nearly as interesting as the process of it happening.

In the whole Google vs. MS, I really don't think the companies themselves are as interesting as the changes in the technology environment that made the focus shift. It shifted from the company that controlled what happened on individual machines, to a company that is much more about the aggregate of tons of individual machines.

**TV**: Why do you think the Tech Wreck, Dot-Com Debacle and Telecom Meltdown occurred? How can we prevent a repeat in the future?

**Torvalds**: Actually, I'm going to be contrarian on that, and argue that there's no reason to "prevent a repeat".

I'm a big believer in pushing the envelope, and I'm not a huge believer in trying to be entirely stable and 100% "sane".

A lot of real development happens in spurts, and as part of what later is called "hype" and other unflattering things. But the thing is, trying too hard to be sane and boring and not doing stupid things is actually
counter-productive.

I personally think the stable development model is not one of continual incremental improvements, but a succession of overshooting and crashing.

The gradual incremental improvement may often look like the better strategy, but if you don't overshoot and crash occasionally, how do you ever know that you're actually ever pushing the envelope at all?

**TV**: How will Technology change our lives in the future? Would you work with any other leaders in other sectors to create new technologies, Bioinformatics, for instance?

**Torvalds**: My personal theory is that technology doesn't change our lives nearly as much as we tend to build our technology to suit our lives.

Which is why you don't see flying cars etc favorite staples of science fiction - but instead see technology being used to lower the transaction costs of things that existed before but where it just wasn't practical
before to do them on a bigger scale or individually tailored (except, sometimes, for the insanely rich).

So technology seldom directly changes our lives per se - although it often means that lots more people have access to things that used to be rare, or only limited to the insanely rich.

The real changes come about when something gets so cheap and ubiquitous that that just causes you to behave differently. And in many ways, those behavioural changes are more interesting than the technology itself.

For example, the one thing that the internet really did was to lower the "transaction cost" of finding and communicating with other people who shared your interests, and I think a lot of the real changes flowed from how people change their habits when it's easy to find other people who are interested in the same things without having to really even go to much effort.

So you find all these specialty interest groups, and a lot of people spending a lot of time discussing the most esoteric issues that they just happen to find interesting - things that you simply couldn't necessarily
practically do before, because it was really hard to find and talk to people who were interested in some unusual speciality.

And I think that's how lives really change - not really because of any new technological whiz-bang feature, but because a totally unintentional side effect of technology lowering the incremental costs.

**TV**: Who in your estimation are the most important people in Technology today?

**Torvalds**: I think it's a bit telling how a lot of technology is driven no longer by military or even commercial needs, but by the consumer market. I also think that a lot of the totally idiotic things that companies seem to be doing (DRM in particular) seem to be overlooking that the most important person for any technology always ends up being the "user".

So I think the answer to your question as far as I'm concerned is the "user" aka "consumer", and that it's the most important part exactly because THAT is where the needs and the actual commercial successes will stem from.

**TV**: What are some of your personal views? Religion? Politics?

**Torvalds**: I'm completely a-religious--atheist. I find that people seem to think religion brings morals and appreciation of nature. I actually think it detracts from both. It gives people the excuse to say, 'Oh, nature was just created,' and so the act of creation is seen to be something miraculous. I appreciate the fact that, 'Wow, it's incredible that something like this could have happened in the first place.' Yeah, it's kind of ironic that in many European countries, there is actually a kind of legal binding between the state and the state religion.

I became a United States citizen and I'm registered to vote in the United States. I don't support any political party because I have way too much personal pride to want to be associated with any of them, quite frankly.

**TV**: Kiitos Linus!

--------------------------------------------------------------------------------

via: http://www.huffingtonpost.com/billrobinson/techview-linus-torvalds-i_b_5338844.html

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://en.wikipedia.org/wiki/Linus_Torvalds
[2]:
[3]:
[4]:
[5]:
[6]:
[7]:
[8]:
[9]:
[10]:
[11]:
[12]:
[13]:
[14]:
[15]:
[16]:
[17]:
[18]:
[19]:
[20]: